Eclipse Platform Release 3.7

## org.eclipse.jface.text
Interface ITextOperationTargetExtension

All Known Implementing Classes:
  ProjectionViewer, SourceViewer, TextConsoleViewer, TextViewer

    public interface ITextOperationTargetExtension

Extension interface for `ITextOperationTarget`.

Allows a client to control the enable state of operations provided by this target.

Since:
  2.0
See Also:
  `ITextOperationTarget`

Method Summary
`void` `enableOperation(int operation, boolean enable)` Enables/disabled the given text operation.

Method Detail

### enableOperation

    void enableOperation(int operation,
                         boolean enable)

  Enables/disabled the given text operation.

  Parameters:
    `operation` - the operation to enable/disable
    `enable` - `true` to enable the operation otherwise `false`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.